Index: usr.bin/rdist/lookup.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/lookup.c,v
retrieving revision 1.3
diff -u -r1.3 lookup.c
--- usr.bin/rdist/lookup.c	24 Jul 2004 19:45:10 -0000	1.3
+++ usr.bin/rdist/lookup.c	24 Aug 2008 09:52:16 -0000
@@ -56,8 +56,8 @@
 void
 define(char *name)
 {
-	register char *cp, *s;
-	register struct namelist *nl;
+	char *cp, *s;
+	struct namelist *nl;
 	struct namelist *value;
 
 	value = NULL;
@@ -120,9 +120,9 @@
 struct namelist *
 lookup(char *name, int action, struct namelist *value)
 {
-	register unsigned n;
-	register char *cp;
-	register struct syment *s;
+	unsigned n;
+	char *cp;
+	struct syment *s;
 	char buf[BUFSIZ];
 
 	if (debug)
Index: usr.bin/rdist/main.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/main.c,v
retrieving revision 1.4
diff -u -r1.4 main.c
--- usr.bin/rdist/main.c	24 Jul 2004 19:45:10 -0000	1.4
+++ usr.bin/rdist/main.c	24 Aug 2008 09:52:29 -0000
@@ -75,7 +75,7 @@
 int
 main(int argc, char **argv)
 {
-	register char *arg;
+	char *arg;
 	int cmdargs;
 	char *dhosts[NHOSTS], **hp = dhosts;
 
@@ -238,8 +238,8 @@
 static void
 docmdargs(int nargs, char **args)
 {
-	register struct namelist *nl, *prev;
-	register char *cp;
+	struct namelist *nl, *prev;
+	char *cp;
 	struct namelist *files, *hosts;
 	struct subcmd *cmds;
 	char *dest;
@@ -292,7 +292,7 @@
  * Print a list of NAME blocks (mostly for debugging).
  */
 void
-prnames(register struct namelist *nl)
+prnames(struct namelist *nl)
 {
 	printf("( ");
 	while (nl != NULL) {
Index: usr.bin/rdist/server.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rdist/server.c,v
retrieving revision 1.6
diff -u -r1.6 server.c
--- usr.bin/rdist/server.c	3 Aug 2006 16:40:48 -0000	1.6
+++ usr.bin/rdist/server.c	24 Aug 2008 18:27:11 -0000
@@ -82,10 +82,10 @@
  *	Qname	- Query if file exists. Return mtime & size if it does.
  */
 void
-server()
+server(void)
 {
 	char cmdbuf[BUFSIZ];
-	register char *cp;
+	char *cp;
 
 	signal(SIGHUP, cleanup);
 	signal(SIGINT, cleanup);
@@ -346,7 +346,7 @@
 static void
 sendf(char *rname, int opts)
 {
-	register struct subcmd *sc;
+	struct subcmd *sc;
 	struct stat stb;
 	int sizerr, f, u, len;
 	off_t i;
@@ -580,9 +580,9 @@
 static int
 update(char *rname, int opts, struct stat *stp)
 {
-	register char *cp, *s;
-	register off_t size;
-	register time_t mtime;
+	char *cp, *s;
+	off_t size;
+	time_t mtime;
 
 	if (debug)
 		printf("update(%s, %x, %p)\n", rname, opts, stp);
@@ -714,7 +714,7 @@
 static void
 recvf(char *cmd, int type)
 {
-	register char *cp;
+	char *cp;
 	int f, mode, opts, wrerr, olderrno;
 	off_t i, size;
 	time_t mtime;
@@ -970,7 +970,7 @@
 static void
 hardlink(char *cmd)
 {
-	register char *cp;
+	char *cp;
 	struct stat stb;
 	char *oldname;
 	int opts, exists;
@@ -1028,7 +1028,7 @@
 static int
 chkparent(char *name)
 {
-	register char *cp;
+	char *cp;
 	struct stat stb;
 
 	cp = rindex(name, '/');
@@ -1055,7 +1055,7 @@
 static int
 fchog(int fd, char *file, char *owner, char *group, int mode)
 {
-	register int i;
+	int i;
 	int uid, gid;
 	extern char user[];
 	extern int userid;
@@ -1116,7 +1116,7 @@
 static void
 rmchk(int opts)
 {
-	register char *cp, *s;
+	char *cp, *s;
 	struct stat stb;
 
 	if (debug)
@@ -1195,10 +1195,10 @@
  * for extraneous files and remove them.
  */
 static void
-clean(register char *cp)
+clean(char *cp)
 {
 	DIR *d;
-	register struct dirent *dp;
+	struct dirent *dp;
 	struct stat stb;
 	char *otp;
 	int len, opts;
@@ -1271,7 +1271,7 @@
 {
 	DIR *d;
 	struct dirent *dp;
-	register char *cp;
+	char *cp;
 	struct stat stb;
 	char *otp;
 	int len;
@@ -1338,7 +1338,7 @@
 dospecial(char *cmd)
 {
 	int fd[2], status, pid, i;
-	register char *cp, *s;
+	char *cp, *s;
 	char sbuf[BUFSIZ];
 	extern int userid, groupid;
 
Index: usr.bin/renice/renice.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/renice/renice.c,v
retrieving revision 1.4
diff -u -r1.4 renice.c
--- usr.bin/renice/renice.c	10 Feb 2005 21:06:36 -0000	1.4
+++ usr.bin/renice/renice.c	24 Aug 2008 18:27:25 -0000
@@ -166,7 +166,7 @@
 }
 
 static void
-usage()
+usage(void)
 {
 	fprintf(stderr, "%s\n%s\n",
 "usage: renice [priority | [-n incr]] [[-p] pid ...] [[-g] pgrp ...]",
Index: usr.bin/rev/rev.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rev/rev.c,v
retrieving revision 1.7
diff -u -r1.7 rev.c
--- usr.bin/rev/rev.c	30 Jul 2006 06:49:39 -0000	1.7
+++ usr.bin/rev/rev.c	24 Aug 2008 18:27:44 -0000
@@ -80,7 +80,7 @@
 }
 
 static void
-usage()
+usage(void)
 {
 	fprintf(stderr, "usage: rev [file ...]\n");
 	exit(1);
Index: usr.bin/rpcgen/rpc_cout.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcgen/rpc_cout.c,v
retrieving revision 1.4
diff -u -r1.4 rpc_cout.c
--- usr.bin/rpcgen/rpc_cout.c	19 Jun 2004 16:40:36 -0000	1.4
+++ usr.bin/rpcgen/rpc_cout.c	24 Aug 2008 18:28:21 -0000
@@ -531,8 +531,7 @@
 }
 
 static void
-emit_struct(def)
-	definition *def;
+emit_struct(definition *def)
 {
 	decl_list *dl;
 	int j, size, flag;
Index: usr.bin/rpcgen/rpc_main.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcgen/rpc_main.c,v
retrieving revision 1.11
diff -u -r1.11 rpc_main.c
--- usr.bin/rpcgen/rpc_main.c	25 Aug 2007 08:55:26 -0000	1.11
+++ usr.bin/rpcgen/rpc_main.c	24 Aug 2008 18:43:54 -0000
@@ -352,9 +352,8 @@
 	NULL
 };
 
-static int check_nettype(name, list_to_check)
-char* name;
-char* list_to_check[];
+static int
+check_nettype(char *name, char *list_to_check[])
 {
 	int i;
 	for (i = 0; list_to_check[i] != NULL; i++) {
@@ -425,7 +424,8 @@
 	unsigned	len_res; \n\
 }; \n";
 
-char *generate_guard(char *pathname)
+char *
+generate_guard(char *pathname)
 {
 	char* filename, *guard, *tmp;
 
@@ -760,8 +760,8 @@
 }
 
 
-static void mkfile_output(cmd)
-struct commandline *cmd;
+static void
+mkfile_output(struct commandline *cmd)
 {
 	char *mkfilename, *clientname, *clntname, *xdrname, *hdrname;
 	char *servername, *svcname, *servprogname, *clntprogname;
@@ -898,9 +898,7 @@
 }
 
 static void
-putarg(where, cp)
-	char *cp;
-	int where;
+putarg(int where, char *cp)
 {
 	if (where >= ARGLISTLEN) {
 		warnx("arglist coding error");
Index: usr.bin/rpcgen/rpc_scan.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcgen/rpc_scan.c,v
retrieving revision 1.4
diff -u -r1.4 rpc_scan.c
--- usr.bin/rpcgen/rpc_scan.c	19 Jun 2004 16:40:36 -0000	1.4
+++ usr.bin/rpcgen/rpc_scan.c	24 Aug 2008 18:30:55 -0000
@@ -353,9 +353,7 @@
 }
 
 static void
-findconst(str, val)
-	char **str;
-	char **val;
+findconst(char **str, char **val)
 {
 	char *p;
 	int size;
Index: usr.bin/rpcgen/rpc_svcout.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcgen/rpc_svcout.c,v
retrieving revision 1.4
diff -u -r1.4 rpc_svcout.c
--- usr.bin/rpcgen/rpc_svcout.c	19 Jun 2004 16:40:36 -0000	1.4
+++ usr.bin/rpcgen/rpc_svcout.c	24 Aug 2008 18:31:11 -0000
@@ -645,8 +645,7 @@
 }
 
 static void
-print_return(space)
-	char *space;
+print_return(char *space)
 {
 	if (exitnow)
 		f_print(fout, "%sexit(0);\n", space);
Index: usr.bin/rpcinfo/rpcinfo.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rpcinfo/rpcinfo.c,v
retrieving revision 1.3
diff -u -r1.3 rpcinfo.c
--- usr.bin/rpcinfo/rpcinfo.c	25 Nov 2007 01:28:23 -0000	1.3
+++ usr.bin/rpcinfo/rpcinfo.c	24 Aug 2008 09:53:40 -0000
@@ -88,7 +88,7 @@
 	int argc;
 	char **argv;
 {
-	register int c;
+	int c;
 	int errflg;
 	int function;
 	u_short portnum;
@@ -452,7 +452,7 @@
  */
 static int
 pstatus(client, prognum, vers)
-	register CLIENT *client;
+	CLIENT *client;
 	u_long prognum;
 	u_long vers;
 {
@@ -477,11 +477,11 @@
 	char **argv;
 {
 	struct sockaddr_in server_addr;
-	register struct hostent *hp;
+	struct hostent *hp;
 	struct pmaplist *head = NULL;
 	int socket = RPC_ANYSOCK;
 	struct timeval minutetimeout;
-	register CLIENT *client;
+	CLIENT *client;
 	struct rpcent *rpc;
 
 	if (argc > 1) {
@@ -549,7 +549,7 @@
 	void *res;		/* Nothing comes back */
 	struct sockaddr_in *who; /* Who sent us the reply */
 {
-	register struct hostent *hp;
+	struct hostent *hp;
 
 	hp = gethostbyaddr((char *) &who->sin_addr, sizeof who->sin_addr,
 	    AF_INET);
@@ -616,8 +616,8 @@
 getprognum(arg)
 	char *arg;
 {
-	register struct rpcent *rpc;
-	register u_long prognum;
+	struct rpcent *rpc;
+	u_long prognum;
 
 	if (isalpha(*arg)) {
 		rpc = getrpcbyname(arg);
@@ -635,7 +635,7 @@
 getvers(arg)
 	char *arg;
 {
-	register u_long vers;
+	u_long vers;
 
 	vers = (int) atoi(arg);
 	return (vers);
@@ -646,7 +646,7 @@
 	struct sockaddr_in *addr;
 	char *host;
 {
-	register struct hostent *hp;
+	struct hostent *hp;
 
 	bzero((char *)addr, sizeof *addr);
 	addr->sin_addr.s_addr = (u_long) inet_addr(host);
Index: usr.bin/rwho/rwho.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/rwho/rwho.c,v
retrieving revision 1.4
diff -u -r1.4 rwho.c
--- usr.bin/rwho/rwho.c	9 Jan 2005 16:20:54 -0000	1.4
+++ usr.bin/rwho/rwho.c	26 Aug 2008 19:58:30 -0000
@@ -184,7 +184,7 @@
 
 
 static void
-usage()
+usage(void)
 {
 	fprintf(stderr, "usage: rwho [-a]\n");
 	exit(1);
Index: usr.bin/symorder/symorder.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/symorder/symorder.c,v
retrieving revision 1.3
diff -u -r1.3 symorder.c
--- usr.bin/symorder/symorder.c	4 Oct 2003 20:36:51 -0000	1.3
+++ usr.bin/symorder/symorder.c	24 Aug 2008 09:54:15 -0000
@@ -78,10 +78,10 @@
 int
 main(int argc, char **argv)
 {
-	register struct nlist *p, *symp;
-	register FILE *f, *xfile;
-	register int i;
-	register char *start, *t, *xfilename;
+	struct nlist *p, *symp;
+	FILE *f, *xfile;
+	int i;
+	char *start, *t, *xfilename;
 	int ch, n, o;
 
 	xfilename = NULL;
@@ -254,7 +254,7 @@
 }
 
 int
-savesymb(register struct nlist *s)
+savesymb(struct nlist *s)
 {
 	if ((s->n_type & N_EXT) != N_EXT)
 		return 0;
@@ -268,10 +268,10 @@
 }
 
 void
-reorder(register struct nlist *st1, register struct nlist *st2, int entries)
+reorder(struct nlist *st1, struct nlist *st2, int entries)
 {
-	register struct nlist *p;
-	register int i, n;
+	struct nlist *p;
+	int i, n;
 
 	for (p = st1, n = entries; --n >= 0; ++p)
 		if (inlist(p) != -1)
@@ -289,10 +289,10 @@
 }
 
 int
-inlist(register struct nlist *p)
+inlist(struct nlist *p)
 {
-	register char *nam;
-	register struct nlist *op;
+	char *nam;
+	struct nlist *op;
 
 	if (p->n_type & N_STAB || p->n_un.n_strx == 0)
 		return (-1);
@@ -309,10 +309,10 @@
 }
 
 int
-excluded(register struct nlist *p)
+excluded(struct nlist *p)
 {
-	register char *nam;
-	register int x;
+	char *nam;
+	int x;
 
 	if (p->n_type & N_STAB || p->n_un.n_strx == 0)
 		return (0);
Index: usr.bin/systat/cmds.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/cmds.c,v
retrieving revision 1.4
diff -u -r1.4 cmds.c
--- usr.bin/systat/cmds.c	4 Oct 2003 20:36:51 -0000	1.4
+++ usr.bin/systat/cmds.c	24 Aug 2008 09:54:47 -0000
@@ -46,8 +46,8 @@
 void
 command(char *cmd)
 {
-        register struct cmdtab *p;
-        register char *cp;
+        struct cmdtab *p;
+        char *cp;
 	int omask;
 	double interval;
 
@@ -142,11 +142,11 @@
 }
 
 struct cmdtab *
-lookup(register char *name)
+lookup(char *name)
 {
-	register char *p, *q;
-	register struct cmdtab *c, *found;
-	register int nmatches, longest;
+	char *p, *q;
+	struct cmdtab *c, *found;
+	int nmatches, longest;
 
 	longest = 0;
 	nmatches = 0;
@@ -178,7 +178,7 @@
 }
 
 int
-prefix(register char *s1, register char *s2)
+prefix(char *s1, char *s2)
 {
 
         while (*s1 == *s2) {
Index: usr.bin/systat/devs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/devs.c,v
retrieving revision 1.6
diff -u -r1.6 devs.c
--- usr.bin/systat/devs.c	22 Dec 2004 11:01:49 -0000	1.6
+++ usr.bin/systat/devs.c	24 Aug 2008 09:55:01 -0000
@@ -176,7 +176,7 @@
 			return(2);
 	}
 	if (prefix(cmd, "drives")) {
-		register int i;
+		int i;
 		move(CMDLINE, 0);
 		clrtoeol();
 		for (i = 0; i < num_devices; i++) {
@@ -195,7 +195,7 @@
 	char **tempstr;
 	char *tstr[100];
 	int num_args = 0;
-	register int i;
+	int i;
 	int retval = 0;
 
 	/*
@@ -251,8 +251,8 @@
 dsselect(char *args, devstat_select_mode select_mode, int maxshowdevs,
 	 struct statinfo *s1)
 {
-	register char *cp;
-	register int i;
+	char *cp;
+	int i;
 	int retval = 0;
 
 	/*
Index: usr.bin/systat/icmp6.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/icmp6.c,v
retrieving revision 1.2
diff -u -r1.2 icmp6.c
--- usr.bin/systat/icmp6.c	20 Apr 2008 13:44:26 -0000	1.2
+++ usr.bin/systat/icmp6.c	26 Aug 2008 19:57:23 -0000
@@ -88,8 +88,7 @@
 }
 
 void
-closeicmp6(w)
-	WINDOW *w;
+closeicmp6(WINDOW *w)
 {
 	if (w == NULL)
 		return;
Index: usr.bin/systat/iostat.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/iostat.c,v
retrieving revision 1.5
diff -u -r1.5 iostat.c
--- usr.bin/systat/iostat.c	13 Jan 2005 12:45:39 -0000	1.5
+++ usr.bin/systat/iostat.c	24 Aug 2008 09:55:24 -0000
@@ -251,8 +251,8 @@
 void
 showiostat(void)
 {
-	register long t;
-	register int i, row, col;
+	long t;
+	int i, row, col;
 	struct kinfo_cputime diff_cp_time;
 	uint64_t cp_total;
 
@@ -342,7 +342,7 @@
 static void
 stat1(int row, uint64_t difference, uint64_t total)
 {
-	register int i;
+	int i;
 	double time;
 
 	if (total > 0)
@@ -358,8 +358,8 @@
 histogram(long double val, int colwidth, double scale)
 {
 	char buf[10];
-	register int k;
-	register int v = (int)(val * scale) + 0.5;
+	int k;
+	int v = (int)(val * scale) + 0.5;
 
 	if (val <= 0)
 		v = 0;
Index: usr.bin/systat/ip6.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/ip6.c,v
retrieving revision 1.1
diff -u -r1.1 ip6.c
--- usr.bin/systat/ip6.c	31 May 2007 11:38:36 -0000	1.1
+++ usr.bin/systat/ip6.c	26 Aug 2008 19:57:47 -0000
@@ -92,8 +92,7 @@
 }
 
 void
-closeip6(w)
-	WINDOW *w;
+closeip6(WINDOW *w)
 {
 	if (w == NULL)
 		return;
Index: usr.bin/systat/main.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/main.c,v
retrieving revision 1.5
diff -u -r1.5 main.c
--- usr.bin/systat/main.c	8 Nov 2003 09:30:32 -0000	1.5
+++ usr.bin/systat/main.c	24 Aug 2008 09:55:34 -0000
@@ -172,7 +172,7 @@
 void
 display(int signo)
 {
-	register int i, j;
+	int i, j;
 	struct itimerval ctv;
 
 	/* Get the load average over the last minute. */
Index: usr.bin/systat/mbufs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/mbufs.c,v
retrieving revision 1.6
diff -u -r1.6 mbufs.c
--- usr.bin/systat/mbufs.c	21 May 2006 03:43:47 -0000	1.6
+++ usr.bin/systat/mbufs.c	24 Aug 2008 09:55:43 -0000
@@ -92,7 +92,7 @@
 void
 showmbufs(void)
 {
-	register int i, j, max, index;
+	int i, j, max, index;
 	char buf[10];
 	char *mtname;
 
Index: usr.bin/systat/netcmds.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/netcmds.c,v
retrieving revision 1.5
diff -u -r1.5 netcmds.c
--- usr.bin/systat/netcmds.c	3 Sep 2004 20:38:01 -0000	1.5
+++ usr.bin/systat/netcmds.c	24 Aug 2008 09:55:59 -0000
@@ -124,7 +124,7 @@
 static void
 changeitems(char *args, int onoff)
 {
-	register char *cp;
+	char *cp;
 	struct servent *sp;
 	struct hostent *hp;
 	struct in_addr in;
@@ -197,7 +197,7 @@
 static int
 selectport(long port, int onoff)
 {
-	register struct pitem *p;
+	struct pitem *p;
 
 	if (port == -1) {
 		if (ports == 0)
@@ -222,9 +222,9 @@
 }
 
 int
-checkport(register struct inpcb *inp)
+checkport(struct inpcb *inp)
 {
-	register struct pitem *p;
+	struct pitem *p;
 
 	if (ports)
 	for (p = ports; p < ports+nports; p++)
@@ -236,7 +236,7 @@
 static void
 showports(void)
 {
-	register struct pitem *p;
+	struct pitem *p;
 	struct servent *sp;
 
 	for (p = ports; p < ports+nports; p++) {
@@ -254,7 +254,7 @@
 static int
 selecthost(struct in_addr *in, int onoff)
 {
-	register struct hitem *p;
+	struct hitem *p;
 
 	if (in == 0) {
 		if (hosts == 0)
@@ -279,9 +279,9 @@
 }
 
 int
-checkhost(register struct inpcb *inp)
+checkhost(struct inpcb *inp)
 {
-	register struct hitem *p;
+	struct hitem *p;
 
 	if (hosts)
 	for (p = hosts; p < hosts+nhosts; p++)
@@ -294,7 +294,7 @@
 static void
 showhosts(void)
 {
-	register struct hitem *p;
+	struct hitem *p;
 	struct hostent *hp;
 
 	for (p = hosts; p < hosts+nhosts; p++) {
Index: usr.bin/systat/netstat.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/netstat.c,v
retrieving revision 1.9
diff -u -r1.9 netstat.c
--- usr.bin/systat/netstat.c	31 May 2007 11:38:36 -0000	1.9
+++ usr.bin/systat/netstat.c	24 Aug 2008 09:56:15 -0000
@@ -121,7 +121,7 @@
 void
 closenetstat(WINDOW *w)
 {
-	register struct netinfo *p;
+	struct netinfo *p;
 
 	endhostent();
 	endnetent();
@@ -224,7 +224,7 @@
 void
 fetchnetstat(void)
 {
-	register struct netinfo *p;
+	struct netinfo *p;
 
 	for (p = netcb.ni_forw; p != (struct netinfo *)&netcb; p = p->ni_forw)
 		p->ni_seen = 0;
@@ -237,7 +237,7 @@
 static void
 enter(struct inpcb *inp, struct xsocket *so, int state, const char *proto)
 {
-	register struct netinfo *p;
+	struct netinfo *p;
 
 	if (!aflag && inet_lnaof(inp->inp_laddr) == INADDR_ANY)
 		return;
@@ -316,7 +316,7 @@
 void
 shownetstat(void)
 {
-	register struct netinfo *p, *q;
+	struct netinfo *p, *q;
 
 	/*
 	 * First, delete any connections that have gone
@@ -390,7 +390,7 @@
  * If the nflag was specified, use numbers instead of names.
  */
 static void
-inetprint(register struct in_addr *in, int port, const char *proto)
+inetprint(struct in_addr *in, int port, const char *proto)
 {
 	struct servent *sp = 0;
 	char line[80], *cp;
@@ -457,7 +457,7 @@
 int
 cmdnetstat(char *cmd, char *args)
 {
-	register struct netinfo *p;
+	struct netinfo *p;
 
 	if (prefix(cmd, "all")) {
 		aflag = !aflag;
Index: usr.bin/systat/pigs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/pigs.c,v
retrieving revision 1.14
diff -u -r1.14 pigs.c
--- usr.bin/systat/pigs.c	16 Feb 2007 23:11:40 -0000	1.14
+++ usr.bin/systat/pigs.c	24 Aug 2008 09:56:25 -0000
@@ -87,7 +87,7 @@
 void
 showpigs(void)
 {
-	register int i, j, y, k;
+	int i, j, y, k;
 	float total;
 	int factor;
 	char *uname, *pname, pidname[30];
Index: usr.bin/systat/swap.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/swap.c,v
retrieving revision 1.3
diff -u -r1.3 swap.c
--- usr.bin/systat/swap.c	4 Oct 2003 20:36:51 -0000	1.3
+++ usr.bin/systat/swap.c	26 Aug 2008 19:57:58 -0000
@@ -118,7 +118,7 @@
 }
 
 void
-labelswap()
+labelswap(void)
 {
 	char *header, *p;
 	int row, i;
Index: usr.bin/systat/vmstat.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/systat/vmstat.c,v
retrieving revision 1.10
diff -u -r1.10 vmstat.c
--- usr.bin/systat/vmstat.c	28 Jun 2008 23:45:20 -0000	1.10
+++ usr.bin/systat/vmstat.c	24 Aug 2008 09:56:39 -0000
@@ -273,7 +273,7 @@
 void
 labelkre(void)
 {
-	register int i, j;
+	int i, j;
 
 	clear();
 	mvprintw(STATROW, STATCOL + 4, "users    Load");
@@ -646,7 +646,7 @@
 static int
 ucount(void)
 {
-	register int nusers = 0;
+	int nusers = 0;
 
 	if (ut < 0)
 		return (0);
@@ -810,7 +810,7 @@
 }
 
 static void
-copyinfo(register struct Info *from, register struct Info *to)
+copyinfo(struct Info *from, struct Info *to)
 {
 	long *intrcnt;
 
Index: usr.bin/talk/get_names.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/talk/get_names.c,v
retrieving revision 1.4
diff -u -r1.4 get_names.c
--- usr.bin/talk/get_names.c	30 Aug 2004 18:06:50 -0000	1.4
+++ usr.bin/talk/get_names.c	24 Aug 2008 09:56:55 -0000
@@ -61,7 +61,7 @@
 	char *his_name, *my_name;
 	char *my_machine_name, *his_machine_name;
 	char *my_tty, *his_tty;
-	register char *cp;
+	char *cp;
 
 	if (argc < 2 )
 		usage();
Index: usr.bin/talk/look_up.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/talk/look_up.c,v
retrieving revision 1.4
diff -u -r1.4 look_up.c
--- usr.bin/talk/look_up.c	19 Aug 2004 23:32:02 -0000	1.4
+++ usr.bin/talk/look_up.c	24 Aug 2008 09:57:04 -0000
@@ -49,7 +49,7 @@
 check_local(void)
 {
 	CTL_RESPONSE response;
-	register CTL_RESPONSE *rp = &response;
+	CTL_RESPONSE *rp = &response;
 
 	/* the rest of msg was set up in get_names */
 #ifdef MSG_EOR
Index: usr.bin/tcopy/tcopy.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tcopy/tcopy.c,v
retrieving revision 1.3
diff -u -r1.3 tcopy.c
--- usr.bin/tcopy/tcopy.c	4 Oct 2003 20:36:52 -0000	1.3
+++ usr.bin/tcopy/tcopy.c	24 Aug 2008 09:57:20 -0000
@@ -69,7 +69,7 @@
 int
 main(int argc, char **argv)
 {
-	register int lastnread, nread, nw, inp, outp;
+	int lastnread, nread, nw, inp, outp;
 	enum {READ, VERIFY, COPY, COPYVERIFY} op = READ;
 	sig_t oldsig;
 	int ch, needeof;
@@ -215,10 +215,10 @@
 }
 
 void
-verify(register int inp, register int outp, register char *outb)
+verify(int inp, int outp, char *outb)
 {
-	register int eot, inmaxblk, inn, outmaxblk, outn;
-	register char *inb;
+	int eot, inmaxblk, inn, outmaxblk, outn;
+	char *inb;
 
 	inb = getspace(maxblk);
 	inmaxblk = outmaxblk = maxblk;
Index: usr.bin/telnet/externs.h
===================================================================
RCS file: /home/dcvs/src/usr.bin/telnet/externs.h,v
retrieving revision 1.2
diff -u -r1.2 externs.h
--- usr.bin/telnet/externs.h	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/telnet/externs.h	28 Aug 2008 17:04:21 -0000
@@ -93,14 +93,6 @@
 
 #define	SUBBUFSIZE	256
 
-#if	!defined(P)
-# ifdef	__STDC__
-#  define	P(x)	x
-# else
-#  define	P(x)	()
-# endif
-#endif
-
 extern int
     autologin,		/* Autologin enabled */
     skiprc,		/* Don't process the ~/.telnetrc file */
Index: usr.bin/telnet/ring.h
===================================================================
RCS file: /home/dcvs/src/usr.bin/telnet/ring.h,v
retrieving revision 1.2
diff -u -r1.2 ring.h
--- usr.bin/telnet/ring.h	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/telnet/ring.h	28 Aug 2008 17:04:32 -0000
@@ -35,16 +35,6 @@
  * $DragonFly: src/usr.bin/telnet/ring.h,v 1.2 2003/06/17 04:29:32 dillon Exp $
  */
 
-#if defined(P)
-# undef P
-#endif
-
-#if defined(__STDC__) || defined(LINT_ARGS)
-# define	P(x)	x
-#else
-# define	P(x)	()
-#endif
-
 /*
  * This defines a structure for a ring buffer.
  *
Index: usr.bin/tftp/main.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tftp/main.c,v
retrieving revision 1.5
diff -u -r1.5 main.c
--- usr.bin/tftp/main.c	30 Aug 2004 18:06:50 -0000	1.5
+++ usr.bin/tftp/main.c	24 Aug 2008 09:58:23 -0000
@@ -266,7 +266,7 @@
 void
 modecmd(int argc, char **argv)
 {
-	register struct modes *p;
+	struct modes *p;
 	char *sep;
 
 	if (argc < 2) {
@@ -326,8 +326,8 @@
 put(int argc, char **argv)
 {
 	int fd;
-	register int n;
-	register char *cp, *targ;
+	int n;
+	char *cp, *targ;
 
 	if (argc < 2) {
 		strcpy(line, "send ");
@@ -408,8 +408,8 @@
 get(int argc, char **argv)
 {
 	int fd;
-	register int n;
-	register char *cp;
+	int n;
+	char *cp;
 	char *src;
 
 	if (argc < 2) {
@@ -557,7 +557,7 @@
 char *
 tail(char *filename)
 {
-	register char *s;
+	char *s;
 
 	while (*filename) {
 		s = strrchr(filename, '/');
@@ -576,7 +576,7 @@
 static void
 command(void)
 {
-	register struct cmd *c;
+	struct cmd *c;
 	char *cp;
 
 	for (;;) {
@@ -609,11 +609,11 @@
 }
 
 struct cmd *
-getcmd(register char *name)
+getcmd(char *name)
 {
-	register char *p, *q;
-	register struct cmd *c, *found;
-	register int nmatches, longest;
+	char *p, *q;
+	struct cmd *c, *found;
+	int nmatches, longest;
 
 	longest = 0;
 	nmatches = 0;
@@ -642,8 +642,8 @@
 static void
 makeargv(void)
 {
-	register char *cp;
-	register char **argp = margv;
+	char *cp;
+	char **argp = margv;
 
 	margc = 0;
 	if ((cp = strchr(line, '\n')))
@@ -677,7 +677,7 @@
 void
 help(int argc, char **argv)
 {
-	register struct cmd *c;
+	struct cmd *c;
 
 	if (argc == 1) {
 		printf("Commands may be abbreviated.  Commands are:\n\n");
@@ -686,7 +686,7 @@
 		return;
 	}
 	while (--argc > 0) {
-		register char *arg;
+		char *arg;
 		arg = *++argv;
 		c = getcmd(arg);
 		if (c == (struct cmd *)-1)
Index: usr.bin/tftp/tftp.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tftp/tftp.c,v
retrieving revision 1.5
diff -u -r1.5 tftp.c
--- usr.bin/tftp/tftp.c	3 Sep 2004 20:38:01 -0000	1.5
+++ usr.bin/tftp/tftp.c	24 Aug 2008 09:57:59 -0000
@@ -89,9 +89,9 @@
 void
 xmitfile(int fd, char *name, char *mode)
 {
-	register struct tftphdr *ap;	   /* data and ack packets */
+	struct tftphdr *ap;	   	/* data and ack packets */
 	struct tftphdr *r_init(), *dp;
-	register int n;
+	int n;
 	volatile unsigned short block;
 	volatile int size, convert;
 	volatile unsigned long amount;
@@ -204,9 +204,9 @@
 void
 recvfile(int fd, char *name, char *mode)
 {
-	register struct tftphdr *ap;
+	struct tftphdr *ap;
 	struct tftphdr *dp, *w_init();
-	register int n;
+	int n;
 	volatile unsigned short block;
 	volatile int size, firsttrip;
 	volatile unsigned long amount;
@@ -323,7 +323,7 @@
 static int
 makerequest(int request, const char *name, struct tftphdr *tp, const char *mode)
 {
-	register char *cp;
+	char *cp;
 
 	tp->th_opcode = htons((u_short)request);
 	cp = tp->th_stuff;
@@ -360,8 +360,8 @@
 static void
 nak(int error, struct sockaddr *peer)
 {
-	register struct errmsg *pe;
-	register struct tftphdr *tp;
+	struct errmsg *pe;
+	struct tftphdr *tp;
 	int length;
 	char *strerror();
 
@@ -388,7 +388,7 @@
 {
 	static char *opcodes[] =
 	   { "#0", "RRQ", "WRQ", "DATA", "ACK", "ERROR" };
-	register char *cp, *file;
+	char *cp, *file;
 	u_short op = ntohs(tp->th_opcode);
 
 	if (op < RRQ || op > ERROR)
Index: usr.bin/tftp/tftpsubs.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tftp/tftpsubs.c,v
retrieving revision 1.3
diff -u -r1.3 tftpsubs.c
--- usr.bin/tftp/tftpsubs.c	4 Oct 2003 20:36:52 -0000	1.3
+++ usr.bin/tftp/tftpsubs.c	26 Aug 2008 19:58:16 -0000
@@ -78,8 +78,8 @@
 
 static struct tftphdr *rw_init();
 
-struct tftphdr *w_init() { return rw_init(0); }         /* write-behind */
-struct tftphdr *r_init() { return rw_init(1); }         /* read-ahead */
+struct tftphdr *w_init(void) { return rw_init(0); }         /* write-behind */
+struct tftphdr *r_init(void) { return rw_init(1); }         /* read-ahead */
 
 static struct tftphdr *
 rw_init(int x		/* zero for write-behind, one for read-head */
@@ -124,9 +124,9 @@
 void
 read_ahead(FILE *file, int convert)
 {
-	register int i;
-	register char *p;
-	register int c;
+	int i;
+	char *p;
+	int c;
 	struct bf *b;
 	struct tftphdr *dp;
 
@@ -191,9 +191,9 @@
 {
 	char *buf;
 	int count;
-	register int ct;
-	register char *p;
-	register int c;                 /* current character */
+	int ct;
+	char *p;
+	int c;                          /* current character */
 	struct bf *b;
 	struct tftphdr *dp;
 
Index: usr.bin/tip/libacu/acucommon.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/acucommon.c,v
retrieving revision 1.2
diff -u -r1.2 acucommon.c
--- usr.bin/tip/libacu/acucommon.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/libacu/acucommon.c	24 Aug 2008 09:59:13 -0000
@@ -83,7 +83,7 @@
 {
 				int omask;
         struct itimerval itv, oitv;
-        register struct itimerval *itp = &itv;
+        struct itimerval *itp = &itv;
         struct sigvec vec, ovec;
 
         timerclear(&itp->it_interval);
Index: usr.bin/tip/libacu/biz22.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/biz22.c,v
retrieving revision 1.3
diff -u -r1.3 biz22.c
--- usr.bin/tip/libacu/biz22.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/biz22.c	24 Aug 2008 09:59:27 -0000
@@ -54,7 +54,7 @@
 biz_dialer(num, mod)
 	char *num, *mod;
 {
-	register int connected = 0;
+	int connected = 0;
 	char cbuf[40];
 
 	if (boolean(value(VERBOSE)))
@@ -142,7 +142,7 @@
 
 static int
 cmd(s)
-	register char *s;
+	char *s;
 {
 	sig_t f;
 	char c;
@@ -164,7 +164,7 @@
 
 static int
 detect(s)
-	register char *s;
+	char *s;
 {
 	sig_t f;
 	char c;
Index: usr.bin/tip/libacu/biz31.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/biz31.c,v
retrieving revision 1.2
diff -u -r1.2 biz31.c
--- usr.bin/tip/libacu/biz31.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/libacu/biz31.c	24 Aug 2008 09:59:42 -0000
@@ -52,7 +52,7 @@
 biz_dialer(num, mod)
 	char *num, *mod;
 {
-	register int connected = 0;
+	int connected = 0;
 
 	if (!bizsync(FD)) {
 		logent(value(HOST), "", "biz", "out of sync");
@@ -128,7 +128,7 @@
 
 static int
 echo(s)
-	register char *s;
+	char *s;
 {
 	char c;
 
@@ -160,7 +160,7 @@
 
 static int
 detect(s)
-	register char *s;
+	char *s;
 {
 	sig_t f;
 	char c;
@@ -185,7 +185,7 @@
 
 static int
 flush(s)
-	register char *s;
+	char *s;
 {
 	sig_t f;
 	char c;
@@ -220,7 +220,7 @@
 #	define chars(b)	(b)
 #	define IOCTL	FIONREAD
 #endif
-	register int already = 0;
+	int already = 0;
 	char buf[10];
 
 retry:
Index: usr.bin/tip/libacu/courier.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/courier.c,v
retrieving revision 1.3
diff -u -r1.3 courier.c
--- usr.bin/tip/libacu/courier.c	7 May 2005 23:20:43 -0000	1.3
+++ usr.bin/tip/libacu/courier.c	24 Aug 2008 09:59:56 -0000
@@ -54,10 +54,10 @@
 static	int coursync();
 
 cour_dialer(num, acu)
-	register char *num;
+	char *num;
 	char *acu;
 {
-	register char *cp;
+	char *cp;
 #if ACULOG
 	char line[80];
 #endif
@@ -134,7 +134,7 @@
 
 static int
 cour_swallow(match)
-  register char *match;
+  char *match;
   {
 	sig_t f;
 	char c;
Index: usr.bin/tip/libacu/df.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/df.c,v
retrieving revision 1.2
diff -u -r1.2 df.c
--- usr.bin/tip/libacu/df.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/libacu/df.c	24 Aug 2008 10:00:09 -0000
@@ -61,7 +61,7 @@
 	char *num, *acu;
 	int df03;
 {
-	register int f = FD;
+	int f = FD;
 	int speed = 0, rw = 2;
 	char c = '\0';
 
Index: usr.bin/tip/libacu/dn11.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/tip/libacu/dn11.c,v
retrieving revision 1.2
diff -u -r1.2 dn11.c
--- usr.bin/tip/libacu/dn11.c	17 Jun 2003 04:29:32 -0000	1.2
+++ usr.bin/tip/libacu/dn11.c	24 Aug 2008 10:00:16 -0000
@@ -53,7 +53,7 @@
 {
 	char *p, *q, phone[40];
 	int lt, nw, connected = 1;
-	register int timelim;
+	int timelim;
 
 	if (boolean(value(VERBOSE)))
 		printf("\nstarting call...");
